Package org.eclipse.launchbar.core

# Interface ILaunchObjectProvider

All Known Implementing Classes:
  `ProjectLaunchObjectProvider`

public interface ILaunchObjectProvider
An extension that serves up objects to feed launch descriptors.

## Method Summary

Modifier and Type
Method
Description
`void`
`dispose()`
Shutting down, remove any listeners.
`void`
`init(ILaunchBarManager manager)`
Add initial launch objects and set up listeners for new ones.

## Method Details

### init

void init(ILaunchBarManager manager) throws org.eclipse.core.runtime.CoreException
Add initial launch objects and set up listeners for new ones.

Parameters:
  `launchbar` - manager
Throws:
  `org.eclipse.core.runtime.CoreException`

### dispose

void dispose()
Shutting down, remove any listeners.